Stop Sandbox App
- POST
- /workspaces
- /:workspace
- /sandboxes
- /:sandbox_id
- /apps
- /:app_id
- /stop
Stops a specific application within a sandbox.
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/apps/:app_id/stop" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'Response
EXAMPLE RESPONSE{ "url": "https://api.buddy.works/workspaces/buddy/sandboxes/llp9yhtmk0f8c", "html_url": "https://app.buddy.works/buddy/my-project/sandboxes/llp9yhtmk0f8c", "id": "llp9yhtmk0f8c", "identifier": "service-nginx", "name": "Service Nginx", "status": "RUNNING", "setup_status": "SUCCESS", "os": "ubuntu:24.04", "resources": "2x4", "first_boot_commands": "apt-get update\napt-get install -y nginx", "app_dir": "", "apps": [ { "id": "lkit3m9h00", "command": "nginx -g 'daemon off;'", "app_status": "ENDED" } ], "timeout": 120, "tags": [ "staging" ], "boot_logs": [ "Sandbox starting...", "Using cached VM - setup commands already completed", "Sandbox started." ], "endpoints": [ { "name": "www", "endpoint": "80", "type": "HTTP", "region": "EU", "timeout": 30, "http": { "verify_certificate": false, "compression": false, "http2": false, "log_requests": false, "whitelist_user_agents": [], "rewrite_host_header": "", "tls_ca": "", "serve_path": "", "auth_type": "NONE" }, "endpoint_url": "https://www-service-nginx-my-project-buddy.eu-1.buddy.app" } ], "project": { "url": "https://api.buddy.works/workspaces/buddy/projects/my-project", "html_url": "https://app.buddy.works/buddy/my-project", "name": "my-project", "display_name": "My Project", "status": "ACTIVE" }, "permissions": { "others": "DEFAULT" }, "variables": [] }
STATUS200 OK